hash_foreach_arg Struct Reference

## Data Fields

VALUE | hash
rb_foreach_func * | func
VALUE | arg

## Detailed Description

Definition at line 150 of file hash.c.

## Field Documentation

VALUE hash_foreach_arg::arg

Definition at line 153 of file hash.c.

Referenced by hash_foreach_iter(), and rb_hash_foreach().

rb_foreach_func* hash_foreach_arg::func

Definition at line 152 of file hash.c.

Referenced by hash_foreach_iter(), and rb_hash_foreach().

VALUE hash_foreach_arg::hash

Definition at line 151 of file hash.c.

Referenced by hash_foreach_call(), hash_foreach_iter(), and rb_hash_foreach().

The documentation for this struct was generated from the following file:

- hash.c